Bug 729168 - Improve ccs documentation for --start/--stop
Summary: Improve ccs documentation for --start/--stop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ricci
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 756082
TreeView+ depends on / blocked
 
Reported: 2011-08-08 21:58 UTC by Chris Feist
Modified: 2012-06-20 14:13 UTC (History)
2 users (show)

Fixed In Version: ricci-0.16.2-49.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Clone Of:
Environment:
Last Closed: 2012-06-20 14:13:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0898 normal SHIPPED_LIVE ricci bug fix and enhancement update 2012-06-19 19:50:47 UTC

Description Chris Feist 2011-08-08 21:58:29 UTC
Some people have been confused about the operation of --start & --stop in ccs.  We need to explicitly say in the man page (and --help) that --start enables the cluster services and --stop disables them (as well as starts and stops them).

Comment 3 Chris Feist 2012-02-03 23:22:29 UTC
Updated man page (man ccs):


       --startall
              Start *AND* enable cluster services on on reboot on all nodes

       --stopall
              Stop *AND* disable cluster services on reboot for all nodes

       --start
              Start *AND* enable cluster services on reboot for host specified with -h

       --stop Stop *AND* disable cluster services on reboot for host specified with -h

Updated usage (ccs -h):

      --startall        Start *AND* enable cluster services on on reboot
                        for all nodes
      --stopall         Stop *AND* disable cluster services on reboot
                        for all nodes
      --start           Start *AND* enable cluster services on reboot for
                        host specified with -h
      --stop            Stop *AND* disable cluster services on reboot for
                        host specified with -h

Commit: https://github.com/feist/ccs/commit/af317f84dbadc70ad5727a3144d46d355748ba57

Comment 4 Chris Feist 2012-02-28 00:13:55 UTC
Using ricci-0.16.2-48.el6:



[root@ask-04 tmp]# man ccs | head -n93 | tail -n13

       --startall
              Start *AND* enable cluster services on on reboot on all nodes

       --stopall
              Stop *AND* disable cluster services on reboot for all nodes

       --start
              Start *AND* enable cluster services on reboot for host specified
              with -h

       --stop Stop *AND* disable cluster services on reboot for host specified
              with -h

Comment 5 Chris Feist 2012-02-28 02:24:05 UTC
Using ricci-0.16.2-49.el6:  (fixed extra 'on' in --startall)


[root@ask-04 ~]# man ccs | head -n93 | tail -n13

       --startall
              Start *AND* enable cluster services on reboot on all nodes

       --stopall
              Stop *AND* disable cluster services on reboot for all nodes

       --start
              Start *AND* enable cluster services on reboot for host specified
              with -h

       --stop Stop *AND* disable cluster services on reboot for host specified
              with -h

Comment 7 Chris Feist 2012-03-15 19:48:38 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No documentation needed.

Comment 9 errata-xmlrpc 2012-06-20 14:13:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0898.html


Note You need to log in before you can comment on or make changes to this bug.